diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/src/wifi/test/wifi-phy-cca-test.cc ns-3.47/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.46/src/wifi/test/wifi-phy-cca-test.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/src/wifi/test/wifi-phy-cca-test.cc	2026-02-16 16:08:49.882231000 -0800
@@ -2149,47 +2238,49 @@
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {{aCcaTimeWithDelta,
+                       1,
+                       tx1Start,
                        ppduDurations.at(MHz_u{40}),
                        WIFI_CHANLIST_SECONDARY40,
                        m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a
-        // signal above the energy detection threshold occupies the S40 while a 80 MHz PPDU
-        // below the CCA sensitivity threshold is received on P80.
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 40 MHz signal that occupies S40 above ED threshold "
-                            "followed by a 80 "
-                            "MHz PPDU that occupies P80 below CCA sensitivity threshold");
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, MicroSeconds(100));
-        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin() + 2, 2, MicroSeconds(46));
+        // Verify PHY state stays IDLE but CCA-BUSY indication is still reported as long as a signal
+        // above the energy detection threshold occupies the S40 while a 80 MHz PPDU below the CCA
+        // sensitivity threshold is received on P80.
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 2, 2, txDuration1);
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin() + 2, 2, txDiff - aCcaTime);
         ScheduleTest(
             delay,
+            "Reception of a 40 MHz signal that occupies S40 above ED threshold followed by a 80 "
+            "MHz PPDU that occupies P80 below CCA sensitivity threshold",
             {{dBm_u{-55},
-              MicroSeconds(0),
-              MicroSeconds(100),
+              tx1Start,
+              txDuration1,
               S40_CENTER_FREQUENCY,
               MHz_u{40}}}, // signal on S40 above threshold
             {{dBm_u{-80},
-              MicroSeconds(50),
+              tx2Start,
               P80_CENTER_FREQUENCY,
               MHz_u{80}}}, // PPDU on P80 below threshold
             {
-                {MicroSeconds(50) + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
+                {tx2Start + aCcaTimeWithDelta, WifiPhyState::IDLE}, // PHY state stays IDLE
             },
-            {{MicroSeconds(50) - smallDelta,
-              MicroSeconds(100),
+            {{tx2Start - smallDelta,
+              1,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
-             {MicroSeconds(100) - smallDelta,
-              MicroSeconds(100),
+             {txEndSignal1 - smallDelta,
+              2,
+              tx1Start,
+              txEndSignal1,
               WIFI_CHANLIST_SECONDARY40,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
     }
     else // 20 or 40 MHz receiver
@@ -2198,15 +2289,12 @@
         // Verify PHY notifies CCA-BUSY when a 80 MHz PPDU with received power above the CCA
         // sensitivity threshold occupies P40 The per20Bitmap should indicate idle for all
         // subchannels because received power is below -62 dBm (27.3.20.6.5).
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA "
-                            "sensitivity threshold");
         ScheduleTest(
             delay,
+            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA sensitivity "
+            "threshold",
             {},
-            {{dBm_u{-70}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
+            {{dBm_u{-70}, tx1Start, P80_CENTER_FREQUENCY, MHz_u{80}}},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCcaTimeWithDelta
                 {ppduDurations.at(MHz_u{80}) - smallDelta,
@@ -2215,38 +2303,39 @@
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta,
-              MicroSeconds(16),
+              1,
+              aCcaTime,
+              legacyPhyHeaderDuration - aCcaTime,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
              {ppduDurations.at(MHz_u{80}) - smallDelta,
+              4, // 3 extra CCA_BUSY notifications during PHY header reception
+              aCcaTime,
               ppduDurations.at(MHz_u{80}),
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY notifies CCA-BUSY when a 80 MHz PPDU with received power above the CCA
         // sensitivity threshold occupies P40 The per20Bitmap should indicate CCA_BUSY for all
         // subchannels because received power is above -62 dBm (27.3.20.6.5).
-        Simulator::Schedule(delay,
-                            &WifiPhyCcaIndicationTest::LogScenario,
-                            this,
-                            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA "
-                            "sensitivity threshold");
-        if (m_channelWidth > 20)
+        if (m_channelWidth > MHz_u{20})
         {
             std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(),
                         2,
                         ppduDurations.at(80) - aCcaTime);
             std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin(),
                         2,
-                        ppduDurations.at(80) - phyHeaderDuration);
+                        ppduDurations.at(MHz_u{80}) - hePhyHeaderDuration);
         }
         ScheduleTest(
             delay,
+            "Reception of a 80 MHz PPDU that occupies the 40 MHz band above CCA sensitivity "
+            "threshold",
             {},
-            {{dBm_u{-55}, MicroSeconds(0), P80_CENTER_FREQUENCY, MHz_u{80}}},
+            {{dBm_u{-55}, tx1Start, P80_CENTER_FREQUENCY, MHz_u{80}}},
             {
                 {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA_BUSY after aCcaTimeWithDelta
                 {ppduDurations.at(MHz_u{80}) - smallDelta,
@@ -2255,27 +2344,27 @@
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
             {{aCcaTimeWithDelta,
-              MicroSeconds(16),
+              1,
+              aCcaTime,
+              legacyPhyHeaderDuration - aCcaTime,
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(0)},
              {ppduDurations.at(MHz_u{80}) - smallDelta,
+              4, // 3 extra CCA_BUSY notifications during PHY header reception
+              aCcaTime,
               ppduDurations.at(MHz_u{80}),
               WIFI_CHANLIST_PRIMARY,
               m_expectedPer20MhzCcaBusyDurations.at(1)}});
-        delay += Seconds(1);
+        delay += testStep;
         ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
         // Verify PHY state stays IDLE and no CCA-BUSY indication is reported when a signal not
         // occupying the operational channel is being received
-        Simulator::Schedule(
-            delay,
-            &WifiPhyCcaIndicationTest::LogScenario,
-            this,
-            "Reception of a 40 MHz PPDU that does not occupy the operational channel");
         ScheduleTest(delay,
+                     "Reception of a 40 MHz PPDU that does not occupy the operational channel",
                      {},
-                     {{dBm_u{-50}, MicroSeconds(0), S40_CENTER_FREQUENCY, MHz_u{40}}},
+                     {{dBm_u{-50}, tx1Start, S40_CENTER_FREQUENCY, MHz_u{40}}},
                      {
                          {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {ppduDurations.at(MHz_u{20}) - smallDelta,
